MacBook Pro touchpad stops working after resume from hibernation (natty)

Bug #769435 reported by kgoeser
54
This bug affects 8 people
Affects Status Importance Assigned to Milestone
Mactel Support
Undecided
Unassigned
linux (Ubuntu)
Undecided
Unassigned

Bug Description

After suspending to disk and resuming, the touchpad stops working (no mouse movement no clicks). This worked before upgrading to natty. I guess, it is a problem with the bcm5974 driver from the mactel support ppa (package bcm5974-dkms).

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: xserver-xorg-core 2:1.10.1-1ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
Uname: Linux 2.6.38-8-generic x86_64
NonfreeKernelModules: wl nvidia
Architecture: amd64
Date: Sat Apr 23 12:08:50 2011
DistUpgraded: Log time: 2011-03-22 21:03:19.272976
DistroCodename: natty
DistroVariant: ubuntu
ExecutablePath: /usr/bin/Xorg
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 (20100816.1)
ProcEnviron:
 LANG=de_DE.UTF-8
 PATH=(custom, no user)
SourcePackage: xorg-server
UpgradeStatus: Upgraded to natty on 2011-04-12 (10 days ago)
version.compiz: compiz 1:0.9.4+bzr20110415-0ubuntu2
version.ia32-libs: ia32-libs 20090808ubuntu13
version.libdrm2: libdrm2 2.4.23-1ubuntu6
version.libgl1-mesa-dri: libgl1-mesa-dri 7.10.2-0ubuntu2
version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
version.libgl1-mesa-glx: libgl1-mesa-glx 7.10.2-0ubuntu2
version.xserver-xorg: xserver-xorg 1:7.6+4ubuntu3
version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.14.0-0ubuntu4
version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.14.0-4ubuntu7
version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:0.0.16+git20110107+b795ca6e-0ubuntu7
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: goeser 1954 F.... pulseaudio
CRDA: Error: [Errno 2] Datei oder Verzeichnis nicht gefunden
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xc1d00000 irq 42'
   Mixer name : 'Cirrus Logic CS4206'
   Components : 'HDA:10134206,106b0b00,00100301'
   Controls : 22
   Simple ctrls : 13
Card1.Amixer.info:
 Card hw:1 'NVidia'/'HDA NVidia at 0xc1080000 irq 16'
   Mixer name : 'Nvidia GPU 0a HDMI/DP'
   Components : 'HDA:10de000a,10de0101,00100100'
   Controls : 16
   Simple ctrls : 4
DistroRelease: Ubuntu 11.04
HibernationDevice: RESUME=UUID=9717d048-d3dc-4488-b480-a058406317ae
InstallationMedia: Ubuntu 10.04.1 LTS "Lucid Lynx" - Release amd64 (20100816.1)
MachineType: Apple Inc. MacBookPro6,2
NonfreeKernelModules: nvidia wl
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=de_DE:en
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-11-generic-tuxonice root=UUID=20ab268f-31a5-47f0-aa84-8b8dabbe8f26 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 2.6.38-11.48~ppa1-generic-tuxonice 2.6.38.8
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-11-generic-tuxonice N/A
 linux-backports-modules-2.6.38-11-generic-tuxonice N/A
 linux-firmware 1.52.1
Tags: natty running-unity
Uname: Linux 2.6.38-11-generic-tuxonice x86_64
UpgradeStatus: Upgraded to natty on 2011-04-12 (154 days ago)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
WifiSyslog:
 Sep 14 07:18:47 mbp-ubuntu kernel: [11956.643926] applesmc: ALV0: read data fail
 Sep 14 07:19:39 mbp-ubuntu kernel: [12008.955010] applesmc: ALV0: read arg fail
 Sep 14 07:21:40 mbp-ubuntu kernel: [12129.060459] applesmc: TC0C: read data fail
dmi.bios.date: 07/26/10
dmi.bios.vendor: Apple Inc.
dmi.bios.version: MBP61.88Z.0057.B0C.1007261552
dmi.board.asset.tag: Base Board Asset Tag#
dmi.board.name: Mac-F22586C8
dmi.board.vendor: Apple Inc.
dmi.board.version: MacBookPro6,2
dmi.chassis.type: 10
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-F22586C8
dmi.modalias: dmi:bvnAppleInc.:bvrMBP61.88Z.0057.B0C.1007261552:bd07/26/10:svnAppleInc.:pnMacBookPro6,2:pvr1.0:rvnAppleInc.:rnMac-F22586C8:rvrMacBookPro6,2:cvnAppleInc.:ct10:cvrMac-F22586C8:
dmi.product.name: MacBookPro6,2
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.

Revision history for this message
kgoeser (kevin-kevin-online) wrote :
Revision history for this message
kgoeser (kevin-kevin-online) wrote :

Output of xinput --list before suspend/resume

Revision history for this message
kgoeser (kevin-kevin-online) wrote :

Output of xinput --list after suspend/resume

Revision history for this message
kgoeser (kevin-kevin-online) wrote :

The lines added to Xorg.0.log during suspend/resume

Bryce Harrington (bryce)
affects: xorg-server (Ubuntu) → linux (Ubuntu)
Revision history for this message
Tv (tv42) wrote :

I see this on my MacbookAir3,1 on Ubuntu 11.04, "sudo rmmod bcm5974; sudo modprobe bcm5974" has always fixed it. Using bcm5974-dkms 1.1.9 from the mactel-support PPA on kernel 2.6.38-8.42.

Revision history for this message
Tv (tv42) wrote :

Oh and I don't use hibernation, just suspend-to-ram, so hibernation is not the trigger for this bug.

Revision history for this message
kgoeser (kevin-kevin-online) wrote :

I can confirm, that removing and reloading the bcm5974 fixes the problem. Maybe it should be blacklisted for power management?

Revision history for this message
Willem de Groot (gwillem) wrote :

Problem confirmed on MacbookAir3,2 with Natty. It happens in 20% of the resumes.

Revision history for this message
Brad Figg (brad-figg) wrote : Missing required logs.

This bug is missing log files that will aid in dianosing the problem. From a terminal window please run:

apport-collect 769435

and then change the status of the bug back to 'New'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
Revision history for this message
derp herp (junkmail-trash) wrote : apport information

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.23.
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: noah 2940 F.... pulseaudio
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Card0.Amixer.info:
 Card hw:0 'PCH'/'HDA Intel PCH at 0xb0900000 irq 46'
   Mixer name : 'Cirrus Logic CS4206'
   Components : 'HDA:10134206,106b1d00,00100301'
   Controls : 22
   Simple ctrls : 13
Card1.Amixer.info:
 Card hw:1 'Generic'/'HD-Audio Generic at 0xb0840000 irq 47'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100200'
   Controls : 4
   Simple ctrls : 1
Card1.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
DistroRelease: Ubuntu 11.04
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Release amd64+mac (20110427.1)
MachineType: Apple Inc. MacBookPro8,2
NonfreeKernelModules: fglrx
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=en_US:en
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.38-8-generic root=UUID=7caf1bd6-e457-4a37-94e7-18fc8174d65a ro nomodeset noacpi reboot=acpi resume=/dev/mapper/cryptswap1
ProcVersionSignature: Ubuntu 2.6.38-8.42-generic 2.6.38.2
RelatedPackageVersions:
 linux-restricted-modules-2.6.38-8-generic N/A
 linux-backports-modules-2.6.38-8-generic N/A
 linux-firmware 1.52
RfKill:

StagingDrivers: r8712u
Tags: natty running-unity staging
Uname: Linux 2.6.38-8-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare
dmi.bios.date: 04/22/11
dmi.bios.vendor: Apple Inc.
dmi.bios.version: MBP81.88Z.0047.B0E.1104221557
dmi.board.asset.tag: Base Board Asset Tag#
dmi.board.name: Mac-94245A3940C91C80
dmi.board.vendor: Apple Inc.
dmi.board.version: MacBookPro8,2
dmi.chassis.type: 10
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-94245A3940C91C80
dmi.modalias: dmi:bvnAppleInc.:bvrMBP81.88Z.0047.B0E.1104221557:bd04/22/11:svnAppleInc.:pnMacBookPro8,2:pvr1.0:rvnAppleInc.:rnMac-94245A3940C91C80:rvrMacBookPro8,2:cvnAppleInc.:ct10:cvrMac-94245A3940C91C80:
dmi.product.name: MacBookPro8,2
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.

tags: added: apport-collected running-unity staging
Revision history for this message
derp herp (junkmail-trash) wrote : AcpiTables.txt

apport information

Revision history for this message
derp herp (junkmail-trash) wrote : AlsaDevices.txt

apport information

Revision history for this message
derp herp (junkmail-trash) wrote : AplayDevices.txt

apport information

Revision history for this message
derp herp (junkmail-trash) wrote : ArecordDevices.txt

apport information

Revision history for this message
derp herp (junkmail-trash) wrote : BootDmesg.txt

apport information

Revision history for this message
derp herp (junkmail-trash) wrote : Card0.Amixer.values.txt

apport information

Revision history for this message
derp herp (junkmail-trash) wrote : Card0.Codecs.codec.0.txt

apport information

Revision history for this message
derp herp (junkmail-trash) wrote : Card1.Codecs.codec.0.txt

apport information

Revision history for this message
derp herp (junkmail-trash) wrote : CurrentDmesg.txt

apport information

Revision history for this message
derp herp (junkmail-trash) wrote : IwConfig.txt

apport information

Revision history for this message
derp herp (junkmail-trash) wrote : Lspci.txt

apport information

Revision history for this message
derp herp (junkmail-trash) wrote : Lsusb.txt

apport information

Revision history for this message
derp herp (junkmail-trash) wrote : PciMultimedia.txt

apport information

Revision history for this message
derp herp (junkmail-trash) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
derp herp (junkmail-trash) wrote : ProcCpuinfo_.txt

apport information

Revision history for this message
derp herp (junkmail-trash) wrote : ProcInterrupts.txt

apport information

Revision history for this message
derp herp (junkmail-trash) wrote : ProcModules.txt

apport information

Revision history for this message
derp herp (junkmail-trash) wrote : UdevDb.txt

apport information

Revision history for this message
derp herp (junkmail-trash) wrote : UdevLog.txt

apport information

Revision history for this message
derp herp (junkmail-trash) wrote : WifiSyslog.txt

apport information

Revision history for this message
Luke Scharf (lukescharf) wrote :

For a workaround, is there a script that is called (or can be called) when the laptop comes back from sleep?

I've just started poking around Natty's power management daemons, but I'm wishing that I could just put a script containing the line "rmmod bcm5974 ; modprobe bcm5974" in something like /etc/pm/wakeup.d/touchpad-hack.sh... Is there any such hook in Natty's power management scheme?

Revision history for this message
kgoeser (kevin-kevin-online) wrote : AcpiTables.txt

apport information

description: updated
Revision history for this message
kgoeser (kevin-kevin-online) wrote : AlsaDevices.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : AplayDevices.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : ArecordDevices.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : BootDmesg.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : Card0.Amixer.values.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : Card0.Codecs.codec.0.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : Card1.Amixer.values.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : Card1.Codecs.codec.0.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : Card1.Codecs.codec.1.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : Card1.Codecs.codec.2.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : Card1.Codecs.codec.3.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : CurrentDmesg.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : IwConfig.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : Lspci.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : Lsusb.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : PciMultimedia.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : ProcCpuinfo_.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : ProcInterrupts.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : ProcModules.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : RfKill.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : UdevDb.txt

apport information

Revision history for this message
kgoeser (kevin-kevin-online) wrote : UdevLog.txt

apport information

Changed in linux (Ubuntu):
status: Incomplete → New
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu):
status: New → Confirmed
Revision history for this message
Miklos Juhasz (mjuhasz) wrote :

Luke Scharf: You can create a file /usr/lib/pm-utils/sleep.d/02touchpad with the following content:

---- CUT HERE ----
#!/bin/bash

if [ -e '/usr/lib/pm-utils/functions' ];then
. /usr/lib/pm-utils/functions
fi

suspend_bcm5974() { /sbin/rmmod bcm5974; }
resume_bcm5974() { /sbin/modprobe bcm5974; }

case "$1" in
    suspend|hibernate)
        suspend_bcm5974;
        ;;
    thaw|resume)
        resume_bcm5974;
        ;;
    *)
        ;;
esac

exit $?
---- CUT HERE ----

Make it executable and it will remove/load the module for the touchpad. That's how I did it on my MacBookPro.
This file should better be in /etc/pm/sleep.d/ actually, you can give it a try. I think a file in /etc/pm/config.d/ with a line: SUSPEND_MODULES="bcm5974" would also do the job.

Revision history for this message
Luke Scharf (lukescharf) wrote :

Miklos Juhasz: The script you provided does appear to fix the problem. I verified that the problem still exists in today's version of Natty. Then I installed the script and run the MacBook through about 5 sleep/wake cycles, and the problem does, indeed, seem to be fixed.

I guess the next step would be to run the laptop endurance test. I'll be happy to do this if you all are interested -- but I'm no longer using this laptop as my primary laptop, so I have to make time for it.

Revision history for this message
Christopher M. Peñalver (penalvch) wrote :

kgoeser, thank you for taking the time to report this bug and trying to help make Ubuntu better. However, the Mactel PPA is not a software package provided by the official Ubuntu repositories. Because of this the Ubuntu project can not support or fix your particular bug. Please report this bug to the provider of the software package. Thanks!

If you are interested in learning more about software repositories and Ubuntu the following pages should be informative:

1. http://www.ubuntu.com/project/about-ubuntu/components - information about Ubuntu repositories
2. https://help.ubuntu.com/community/Repositories - information regarding managing repositories

Changed in linux (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.